###########################################################################
# DRAGEN Array - Genotyping QC threshold template for LCG and GT HTS
#
# Use this file as a starting point for LCG and GT HTS workflows.
# - Set a numeric value to evaluate a metric.
# - Set a value to null to skip that metric.
# - These are suggested cutoffs and should be adjusted for sample type,
#   platform, and lab-specific performance.
#
# Direction of interpretation:
# - logRDev is a maximum threshold; lower values are better.
# - All other metrics in this file are minimum thresholds; higher values are
#   better.
###########################################################################

QC:
  Report:
    # Core sample metrics
    callRate: 0.98               # Minimum acceptable call rate.
    logRDev: 0.20                # Maximum acceptable Log R Ratio SD.

    # Staining controls
    stainingGreen: 5             # Minimum Biotin High / Background ratio.
    stainingRed: 5               # Minimum DNP High / Background ratio.

    # Extension controls
    extensionGreen: 5            # Minimum green-channel extension ratio.
    extensionRed: 5              # Minimum red-channel extension ratio.

    # Target removal controls
    targetRemovalI: 5            # Minimum target removal ratio for Control I.

    # Hybridization controls
    hybGreenHighMed: 1.25        # Minimum hybridization High / Medium ratio.
    hybGreenMediumLow: 1.25      # Minimum hybridization Medium / Low ratio.

    # Non-polymorphic controls
    npGreen: 5                   # Minimum non-polymorphic green ratio.
    npRed: 5                     # Minimum non-polymorphic red ratio.

    # Restoration control
    restoration: null            # Use 1 when the FFPE Restore kit is used.

    # Stringency control
    stringency: 1.5              # Minimum stringency ratio.

    # Non-specific binding controls
    nonSpecificBindingGreen: 5   # Minimum nonspecific binding green ratio.
    nonSpecificBindingRed: 5     # Minimum nonspecific binding red ratio.

    # TGA control
    tgaControl: 1                # Minimum TGA_Ctrl_5716 normalized R value.
